import https from "@/plugins/luch-request_0.0.7/request";

/** *
 * 库存明细
 */
export const getStockDetailApi = async data => {
	return https.get("/stock/detail", data);
};

/** *
 * 确认入库
 */
export const confirmOrderApi = async orderSn => {
	return https.get("/stock-in/confirm-order", { orderSn });
};

/** *
 * 入库详情
 */
export const getStockInDetailApi = async orderSn => {
	return https.get("/stock-in/detail", { orderSn });
};

/** *
 * 入库列表
 */
export const getStockInListApi = async status => {
	return https.get("/stock-in/list", { status });
};

/** *
 * 出库详情
 */
export const getStockOutDetailApi = async orderSn => {
	return https.get("/stock-out/detail", { orderSn });
};

/** *
 * 出库订单生成 （待出库/直接出库）
 */
export const createStockOutOrderApi = async data => {
	return https.post("/stock-out/create-order", data);
};

/** *
 * 出库列表
 */
export const getStockOutListApi = async status => {
	return https.get("/stock-out/list", { status });
};

/** *
 * 取消出库
 */
export const cancelStockOutOrderApi = async orderSn => {
	return https.get("/stock-out/cancel-order", { orderSn });
};

/** *
 * 确认出库
 */
export const confirmStockOutOrderApi = async orderSn => {
	return https.get("/stock-out/confirm-order", { orderSn });
};
